MAPIES - 
Mapper, Aggregator and Preprocessor for Integration of Earth observation Satellites

Once you have cloned your mapies environment.

There are two ways of setting up your machine presently to run mapies. If you are running on a local machine, I would recommend creating a python virtual environment. If on a BSC machine I would strongly recommend using Mamba and conda environments.

**Virtual Env**

Create your virtual environment.

```
python -m env venv
```

Then to enter the virtual environment run,

```
source venv/bin/activate
```

From here you can install all python dependencies needed to run MAPIES, by running

```
pip install -r requirements.txt
```

**Conda environ**

Works on the hub and MN5.

Load in Mamba (Works similar to conda but is faster)

```
module load Mamba
```

Acivate conda

```
source activate base
```

Create the mapies conda environment

```
mamba env create -f environment.yml
```

And enter the conda environ

```
conda activate mapies
```


**Important**

For both ways for the moment you will need to update your pythonpath or your computer won't see the Mapies package. You need to run,


```
export PYTHONPATH=<path to where you have cloned mapies>
```



Next to launch the tool, we have examples in the `mapies/run` folder. For example you can run the run_viirs.py file with a simple `python run_viirs.py` after updating the necessary variables. The dates and the directories. 


Happy mapping!

Any bugs, please feel free to open an issue, and we will assign it to someone, or contact:

Calum - calum.meikle@bsc.es

Carlotta - carlotta.gile@bsc.es




